> ## Documentation Index
> Fetch the complete documentation index at: https://webscraping.titannet.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Run task



## OpenAPI

````yaml /openapi/task-service.yaml post /api/v1/tasks/{id}/run
openapi: 3.0.3
info:
  title: Titan Task Service API
  description: Tasks, executions, templates, datasets, results, and media CDN.
  version: '1.0'
servers:
  - url: https://api.webscraping.titannet.io
    description: Production
security: []
tags:
  - name: Tasks
  - name: Executions
  - name: Templates
  - name: Media
paths:
  /api/v1/tasks/{id}/run:
    post:
      tags:
        - Tasks
      summary: Run task
      operationId: postTaskRun
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            format: uuid
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RunTaskRequest'
      responses:
        '202':
          description: Accepted
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SuccessEnvelope'
        '404':
          description: execution_plan feature disabled when plan provided
      security:
        - bearerAuth: []
        - apiKeyAuth: []
components:
  schemas:
    RunTaskRequest:
      type: object
      properties:
        script_id:
          type: string
        script_version:
          type: string
        payload: {}
        secret_payload: {}
        execution_plan:
          type: object
    SuccessEnvelope:
      type: object
      properties:
        success:
          type: boolean
        data: {}
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````